// Vcc5AxaDlg.h : header file
//
//{{AFX_INCLUDES()
#include "_vcc5ctrl.h"
//}}AFX_INCLUDES

#if !defined(AFX_VCC5AXADLG_H__F75E8253_7F2D_48B9_A597_364558D89B64__INCLUDED_)
#define AFX_VCC5AXADLG_H__F75E8253_7F2D_48B9_A597_364558D89B64__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CVcc5AxaDlg dialog

class CVcc5AxaDlg : public CDialog
{
// Construction
public:
	BOOL m_Ackreceived;
	long m_unit;
	BOOL GetLastCmd();
	BYTE m_sendcmd[100];
	BOOL m_connected;

	CVcc5AxaDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CVcc5AxaDlg)
	enum { IDD = IDD_VCC5AXA_DIALOG };
	CButton	m_Power;
	CButton	m_Notify;
	CButton	m_Host;
	C_Vcc5Ctrl	m_vcc5a;
	CString	m_text;
	CString	m_sndrcvstr;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVcc5AxaDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CVcc5AxaDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnOpenClicked();
	afx_msg void OnCloseClicked();
	afx_msg void OnAutoinit();
	afx_msg void OnUpClicked();
	afx_msg void OnLeftClicked();
	afx_msg void OnHomeClicked();
	afx_msg void OnRightClicked();
	afx_msg void OnDownClicked();
	afx_msg void OnStopClicked();
	afx_msg void OnPowerClicked();
	afx_msg void OnNotifyClicked();
	afx_msg void OnHostClicked();
	afx_msg void OnNotifyRxEventVcc5ctrl1(long wParam, long lBytes);
	afx_msg void OnAckRxEventVcc5ctrl1(long wParam, long lBytes);
	afx_msg void OnClose();
	afx_msg void OnTele();
	afx_msg void OnZoomStop();
	DECLARE_EVENTSINK_MAP()
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VCC5AXADLG_H__F75E8253_7F2D_48B9_A597_364558D89B64__INCLUDED_)
